.navbar{
  height: 110px;
}
.navbar-brand{ height: 72px; width: 85px;}
.navbar-collapse {
  position: fixed; /* fissa la navbar sopra tutto */
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh; /* altezza piena dello schermo */
  background-color: #fff; /* o il colore della navbar */
  padding: 2rem;
  overflow-y: auto; /* se hai tanti link */
  z-index: 1050; /* sopra tutto */

  transition: opacity 0.3s ease, visibility 0.3s ease;
  opacity: 0;
  visibility: hidden;

  flex-direction: column;
  align-items: start;
}

.navbar-collapse.show {
  display: flex;
  opacity: 1;
  visibility: visible;
}

.desktop>.nav-item{
  padding: 0px 12px;
}

.navbar-nav {
  flex-direction: column;
  gap: 1rem; /* spazio tra i link */
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: none;
}

.navbar-toggler {
  padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);
  font-size: var(--bs-navbar-toggler-font-size);
  line-height: 1;
  color: var(--bs-navbar-color);
  background-color: transparent;
  border: none; 
  border-radius: none;
  transition: var(--bs-navbar-toggler-transition);
}

.navbar .nav-link {
  position: relative;
  display: inline-block;
}

.navbar .nav-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0; /* o qualche pixel più in basso se vuoi spazio */
  width: 0;
  height: 2px; /* spessore della barra */
  background-color: black; /* usa il colore del testo */
  transition: width 0.3s ease, left 0.3s ease;
}

.navbar .nav-link:hover::after,
.navbar .nav-link.selected::after {
  width: 100%;
}

.nav-link{
  padding: 0px 0px 4px 0px !important;
}

/* .navbar-nav>.nav-item:last-child{
  
} */

.navCloser{
  border: 1px solid black;
  border-radius: 24px;
  padding: 8px 20px;
  font-size: 15px;
  font-weight: 600;
  width: fit-content;
}

.langBtn{
  border: none;
  background-color: transparent;
  font-size: 4vw;
  margin-bottom: 4px;
  color: var(--gray-mediumN);
}
.langBtn.selected{ color: black;}

.nav-item, .nav-link, .dropdown-item{ font-size: 8vw;}

.mobileNav{ color: var(--gray-medium)!important;}

.langContainer{
  margin-top: 5vh;
}


.dropdown-toggle::after {
  margin-left: 0;
  content: "";
  border-top: 0;
  border-right: 0;
  border-bottom: 0;
  border-left: 0;
}
.dropdown-menu{
  border: 0;
}
.dropdown-item.active, .dropdown-item:active {
  text-decoration: none;
  background-color: unset;
}
.dropdown-item.selected {
  text-decoration: none;
  background-color: antiquewhite;
}
.dropdown-item{ padding-left: 12px;}

.logo-mobile-container, .logo-mobile-container>img{
  height: 50px;
}
@media (min-width: 500px) {
  .nav-item, .nav-link, .dropdown-item{ font-size: 6vw;}
}
@media (min-width: 576px) {
  .nav-item, .nav-link, .dropdown-item{ font-size: 4vw;}
}
@media (min-width: 768px) {
  .langBtn, .nav-item, .nav-link, .dropdown-item{ font-size: 3vw;}
}
@media (min-width: 992px) {
    .navbar-expand-lg .navbar-collapse {
        display: none !important;
        flex-basis: auto;
    }
  .navbar-brand{ height: 5%; width: 5%;}
  .langBtn, .nav-item, .nav-link, .dropdown-item{ font-size: 1vw;}
}
@media (max-width: 992px) {
  .mobileLogo { display: block!important;}
  .btnContainer{
    height: calc(100vh - 304px);
  }
}

.myNavbar {
  transition: top 0.3s;
}

.myNavbar.hide {
  top: -110px; /* nascondi (metti altezza = altezza navbar) */
}